org.apache.tools.ant

## Interface TaskContainer

- All Known Implementing Classes:
    Antlib, ExtensionPoint, MacroDef.NestedSequential, MacroInstance, MacroInstance.Element, Parallel, Parallel.TaskList, PreSetDef, Retry, Sequential, SSHSession.NestedSequential, Target

      public interface TaskContainer

  Interface for objects which can contain tasks.

  It is recommended that implementations call perform rather than execute for the tasks they contain, as this method ensures that the appropriate BuildEvents will be generated.

  See Also:
    `Task.perform()`, `Task.execute()`, `BuildEvent`

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addTask(Task task)` Adds a task to this task container

- - ### Method Detail

    - #### addTask

          void addTask(Task task)

      Adds a task to this task container
      Parameters:
        `task` - The task to be added to this container. Must not be `null`.